// src/schema/userSchema.js

const { buildSchema } = require("graphql");

const schema = buildSchema(`
  type Query {
    users(first: Int, after: String): UserConnection
  }

  type UserConnection {
    edges: [UserEdge]!
    pageInfo: PageInfo!
  }

  type UserEdge {
    node: User!
    cursor: String!
  }

  type User {
    id: ID!
    name: String!
    email: String!
  }

  type PageInfo {
    totalCount: Int!
    endCursor: String
    hasNextPage: Boolean!
    startCursor: String
  }
`);

module.exports = schema;
