// src/server.js

const express = require("express");
const { graphqlHTTP } = require("express-graphql");
const schema = require("./schema/userSchema");
const userResolvers = require("./resolvers/userResolvers");

// Create the Express app
const app = express();

// Define the GraphQL endpoint
app.use(
  "/graphql",
  graphqlHTTP({
    schema: schema,
    rootValue: userResolvers,
    graphiql: true // Enable GraphiQL for testing
  })
);

// Start the server
const port = 9444;
app.listen(port, () => {
  console.log(`Server running at http://localhost:${port}/graphql`);
});
